Bug 335193 - Effects KCM list delegate doesn't use native text rendering type
Summary: Effects KCM list delegate doesn't use native text rendering type
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: 5
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/118...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-22 14:36 UTC by Eike Hein
Modified: 2014-05-23 05:35 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Hein 2014-05-22 14:36:07 UTC
Title says it all.

Reproducible: Always
Comment 1 Martin Flöser 2014-05-22 14:45:55 UTC
> Title says it all.

uhm not really. Is that something I can fix using a special property in 
QtQuick or is that lacking in QtQuick?
Comment 2 Eike Hein 2014-05-22 14:49:47 UTC
The former fortunately: http://doc-snapshot.qt-project.org/qt5-stable/qml-qtquick-text.html#renderType-prop

Plasma's components set this automatically, for QQC we need to add it ourselves. It toggles between the SDF renderer and FreeType, basically.
Comment 3 Martin Flöser 2014-05-23 05:35:39 UTC
Git commit 0532280689093b343c591edf93badf9614db9622 by Martin Gräßlin.
Committed on 22/05/2014 at 14:55.
Pushed by graesslin into branch 'master'.

[kcmkwin/compositing] Switch Text to Label
REVIEW: 118262

M  +3    -3    kcmkwin/kwincompositing/qml/Effect.qml
M  +1    -1    kcmkwin/kwincompositing/qml/EffectView.qml
M  +1    -1    kcmkwin/kwincompositing/qml/OpenGLErrorView.qml

http://commits.kde.org/kwin/0532280689093b343c591edf93badf9614db9622